/*
 * Class BOX [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_347 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_347 [] = {0xFF01,237,346,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_347 [] = {0xFF01,346,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_347 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_347 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_347 [] = {0xFF01,346,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_347 [] = {0xFF01,346,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_347 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_347 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_347 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_347 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_347 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_347 [] = {346,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_347 [] = {0xFF01,346,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_347 [] = {0xFF01,333,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_347 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_347[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_347), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_347), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_347), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_347), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_347), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_347), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_347), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_347), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_347), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_347), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_347), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_347), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_347), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_347), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1855, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1856, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1859, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_347), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_347), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init347(void)
{
	IDSC(desc_347, 0, 346);
	IDSC(desc_347 + 1, 1, 346);
	IDSC(desc_347 + 32, 77, 346);
	IDSC(desc_347 + 41, 35, 346);
}


#ifdef __cplusplus
}
#endif
